TONTONDocs
TON CenterV3Jettons

applications/api/toncenter/v3/jettons/get-jetton-burns

GET
/api/v3/jetton/burns

Query Parameters

address?array<string>

Address of jetton wallet owner in any form. Max 1000

jetton_wallet?array<string>

Jetton wallet address in any form. Max: 1000.

jetton_master?string

Jetton master address in any form.

start_utime?integer

Query transactions with generation UTC timestamp after given timestamp.

Formatint32
Range0 <= value
end_utime?integer

Query transactions with generation UTC timestamp before given timestamp.

Formatint32
Range0 <= value
start_lt?integer

Query transactions with lt >= start_lt.

Formatint64
Range0 <= value
end_lt?integer

Query transactions with lt <= end_lt.

Formatint64
Range0 <= value
limit?integer

Limit number of queried rows. Use with offset to batch read.

Default10
Formatint32
Range1 <= value <= 1000
offset?integer

Skip first N rows. Use with limit to batch read.

Default0
Formatint32
Range0 <= value
sort?string

Sort transactions by lt.

Default"desc"
Value in"asc" | "desc"

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/jetton/burns"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "jetton_burns": [
    {
      "amount": "string",
      "custom_payload": "string",
      "decoded_custom_payload": [
        0
      ],
      "jetton_master": "string",
      "jetton_wallet": "string",
      "owner": "string",
      "query_id": "string",
      "response_destination": "string",
      "trace_id": "string",
      "transaction_aborted": true,
      "transaction_hash": "string",
      "transaction_lt": "0",
      "transaction_now": 0
    }
  ],
  "metadata": {
    "property1": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    },
    "property2": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    }
  }
}
{
  "code": 0,
  "error": "string"
}

Last updated on